xcb_x_print_create_context(3)

NAME
xcb_x_print_create_context -

SYNOPSIS
#include <xcb/xprint.h>

  Request function

xcb_void_cookie_t xcb_x_print_create_context(xcb_connection_t *conn, uint32_t context_id, uint32_t printerNameLen, uint32_t localeLen, const xcb_x_print_string8_t *printerName, const xcb_x_print_string8_t *locale);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

context_id
    TODO: NOT YET DOCUMENTED.

printerNameLen
    TODO: NOT YET DOCUMENTED.

localeLen
    TODO: NOT YET DOCUMENTED.

printerName
    TODO: NOT YET DOCUMENTED.

locale
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_x_print_create_context_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xprint.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.